#ifndef XMLRPCPPCLIENT_HPP
#define XMLRPCPPCLIENT_HPP

#include "Client.hpp"
#include "include/XmlRpc.h"

namespace mole {
    namespace ctx {
	namespace xmlrpcpp{
	    class XmlRpcppClient : public Client {

		public :
		    XmlRpcppClient(const char *, int, const char *);

		    ~XmlRpcppClient();

		    XmlRpc::XmlRpcClient * getRealClient(){ return client; };
		    bool bind(ctx::Server *, bool connect);

		private :
		    XmlRpc::XmlRpcClient * client;
	    };

	} // end xmlrpcpp
    } // end ctx
} // end mole 

#endif
